Skip to main content
GET
/
tiktok
/
performance
cURL
curl -X GET "https://apiv3.creatordb.app/tiktok/performance?uniqueId=kallmekris" \
  -H "Content-Type: application/json" \
  -H "api-key: <YOUR_API-KEY_HERE>"
{
  "data": {
    "contentCountByDays": {
      "7d": 2,
      "30d": 12,
      "90d": 38
    },
    "followerGrowthIn30d": 0,
    "ranking": {
      "totalFollowers": {
        "global": 0.0459,
        "country": 0.0395,
        "language": 0.0375
      },
      "avgViews": {
        "global": 0.9183,
        "country": 0.9175,
        "language": 0.9128
      },
      "avgEngagementRate": {
        "global": 0.219,
        "country": 0.2332,
        "language": 0.2263
      }
    },
    "videosPerformanceRecent": {
      "likes": {
        "all": 3253500,
        "avg": 162675,
        "median": 139950,
        "min": 0,
        "max": 0
      },
      "comments": {
        "all": 16780,
        "avg": 839,
        "median": 0,
        "min": 0,
        "max": 0
      },
      "views": {
        "all": 19514700,
        "avg": 975735,
        "median": 795300,
        "min": 219000,
        "max": 2700000
      },
      "shares": {
        "all": 150040,
        "avg": 7502,
        "median": 0,
        "min": 0,
        "max": 0
      },
      "engagement": {
        "avgEngagementRate": 0.1638,
        "likesPerFollower": 0.0032,
        "commentsPerFollower": 0,
        "viewsPerFollower": 0.0193,
        "engagementConsistency": {
          "cv": 0.183,
          "medianVsMean": 0.973,
          "topBottomRatio": 0,
          "consistencyScore": null,
          "consistencyLevel": null
        }
      }
    }
  },
  "quotaUsed": 1,
  "quotaUsedTotal": 1,
  "remainingQuota": -1,
  "traceId": "497b42dc5ed0208ddc6ab552053e90ec",
  "timestamp": 1767938201026,
  "errorCode": "",
  "errorDescription": "",
  "success": true
}

Authorizations

api-key
string
header
required

The valid CreatorDB API key for authentication.

Query Parameters

uniqueId
string
required

TikTok account ID. Accepts tiktok or @tiktok (@ is automatically stripped).

Required string length: 1 - 101
Pattern: ^@?[a-zA-Z0-9._-]+$
Example:

"tiktok"

Response

TikTok performance data returned successfully.

Performance data of the specified TikTok creator returned successfully.

data
object
required

The performance metrics.

traceId
string
required

Unique trace ID for each request.

Example:

"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"

timestamp
integer
required

Time the response was generated, represented as a Unix timestamp in milliseconds.

Example:

1750732453635

errorCode
string
required

Error code returned if the request fails. Empty if the request is successful.

Example:

""

errorDescription
string
required

Description of the error. Empty if the request is successful.

Example:

""

success
boolean
required

true if the request is successful.

Example:

true

Last modified on March 20, 2026